Get messages for a thread
curl --request GET \
--url https://prod.featherhq.com/api/v1/threads/{threadId}/messages \
--header 'X-API-Key: <api-key>'import requests
url = "https://prod.featherhq.com/api/v1/threads/{threadId}/messages"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://prod.featherhq.com/api/v1/threads/{threadId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"thread": {
"agentId": "<string>",
"agentDetails": {
"id": "<string>",
"name": "<string>",
"description": "<string>"
},
"agentVersionId": "<string>",
"agentVersionDetails": {
"id": "<string>",
"version": 123,
"name": "<string>",
"smsMaxTokens": 123,
"smsTemperature": 123,
"discardInboundSms": true
},
"messages": [
{
"id": "<string>",
"threadId": "<string>",
"messageBody": "<string>",
"twilioMessageSid": "<string>",
"twilioAccountSid": "<string>",
"twilioNumSegments": 123,
"twilioPrice": "<string>",
"twilioPriceCurrency": "<string>",
"twilioErrorCode": "<string>",
"twilioErrorMessage": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"sentAt": "<string>",
"deliveredAt": "<string>",
"readAt": "<string>"
}
],
"pagination": {
"limit": 10,
"nextCursor": "<string>"
}
}
}{
"status": 400,
"message": "Bad request",
"code": "BAD_REQUEST",
"success": false
}{
"status": 400,
"message": "Bad request",
"code": "BAD_REQUEST",
"success": false
}{
"status": 500,
"message": "Internal server error",
"code": "INTERNAL_SERVER_ERROR",
"success": false
}Chat Threads
Get messages for a thread
Get messages for a specific thread with cursor-based pagination
GET
/
api
/
v1
/
threads
/
{threadId}
/
messages
Get messages for a thread
Authorizations
Path Parameters
Query Parameters
Number of messages per page (default: 50, max: 100)
Cursor for pagination (ID of the last message in previous page)
Filter by message direction (INBOUND or OUTBOUND)
Available options:
INBOUND, OUTBOUND Filter by message status
Available options:
QUEUED, SENDING, SENT, DELIVERED, FAILED, UNDELIVERED, READ, RECEIVED, DISCARDED Response
Thread messages
Show child attributes
Show child attributes
⌘I